Loading...
Searching...
No Matches
VPB_DEV Struct Reference
Internal implementation detail » VPBapi implementation detail

Container type for device information. More...

Collaboration diagram for VPB_DEV:

## Public Member Functions

Constructors
| VPB_DEV ()
| Default constructor.
| ~VPB_DEV ()
| Default destructor.

## Public Attributes

DevState | devstate
| Flag to indicate if this device has been opened or not.
unsigned long | evtmask
| The current event mask.
unsigned long | tonemask
| The current tone event mask.
vpb_event_callback | event_callback
| Optional event callback.
void * | context
| User defined context info for `event_callback`.
HostFifo | APIQ
| Per channel API event Q object.
pthread_mutex_t | callback_mutex
| Mutex for atomic access to `event_callback` and `context`.

## Detailed Description

Container type for device information.

An array of this type with length `Totalchans` is created during device initialisation.